Installing the OGR and PostGIS Providers with AutoCAD Map 2009 Beta 2

Q: In order to test the OGR provider for FDO I have installed FDO Open Source 3.3.0. Unfortunately this version seems not (yet) to be supported in AutoCAD Map 2009 Beta 2.

What are the plans in supporting this version or what's the procedure to install/configure both the OGR and the PostGIS provider (they are both available in the bin directory but not registered in the providers.xml yet - manually adding the wasn't successful)?


A: You may wish only to install the following binaries into "C:\Program Files\Great White Beta 2\FDO\bin\"

From fdosdk-3.3.0_win32.tar.gz:

  • OGRProvider.dll
  • PostGISMessage.dll
  • PostGISProvider.dll
  • PostGISOverrides.dll

From fdosdk-3.3.0_win32_supplimental.tar.gz:

  • boost_date_time-vc80-mt-1_34_1.dll

You will also need to have the postgresql 8.2.5 binaries installed and in the system path in order to load the PostGIS provider. Specifically, you will need:

  • libpq.dll
  • comerr32.dll
  • krb5_32.dll
  • libeay32.dll
  • libiconv-2.dll
  • libintl-2.dll
  • ssleay32.dll

Attached to this posting, you will find a copy of providers.xml in which the OGR and PostGIS providers have been integrated. Using this file you can compare and contrast the additions made in order to integrate support for the PostGIS and OGR providers.

Following these steps you will be successful in getting the providers to load in AutoCAD Map 2009 Beta 2.